Package org.apache.sysds.runtime.controlprogram.federated.monitoring.repositories

# Class Constants

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.monitoring.repositories.Constants

public class Constants extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ENTITY_ADDRESS_COL`
`static final String`
`ENTITY_CLASS_SUFFIX`
`static final String`
`ENTITY_DOUBLE_COL`
`static final String`
`ENTITY_EVENT_ID_COL`
`static final String`
`ENTITY_ID_COL`
`static final String`
`ENTITY_MONITORING_KEY_COL`
`static final String`
`ENTITY_NAME_COL`
`static final String`
`ENTITY_NUMBER_COL`
`static final String`
`ENTITY_STRING_COL`
`static final String`
`ENTITY_TIMESTAMP_COL`
`static final String`
`ENTITY_WORKER_ID_COL`

## Constructor Summary

Constructors
Constructor
Description
`Constants()`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ENTITY_CLASS_SUFFIX

public static final String ENTITY_CLASS_SUFFIX

See Also:
  - Constant Field Values

### ENTITY_STRING_COL

public static final String ENTITY_STRING_COL

See Also:
  - Constant Field Values

### ENTITY_DOUBLE_COL

public static final String ENTITY_DOUBLE_COL

See Also:
  - Constant Field Values

### ENTITY_NUMBER_COL

public static final String ENTITY_NUMBER_COL

See Also:
  - Constant Field Values

### ENTITY_TIMESTAMP_COL

public static final String ENTITY_TIMESTAMP_COL

See Also:
  - Constant Field Values

### ENTITY_NAME_COL

public static final String ENTITY_NAME_COL

See Also:
  - Constant Field Values

### ENTITY_ADDRESS_COL

public static final String ENTITY_ADDRESS_COL

See Also:
  - Constant Field Values

### ENTITY_MONITORING_KEY_COL

public static final String ENTITY_MONITORING_KEY_COL

See Also:
  - Constant Field Values

### ENTITY_ID_COL

public static final String ENTITY_ID_COL

See Also:
  - Constant Field Values

### ENTITY_WORKER_ID_COL

public static final String ENTITY_WORKER_ID_COL

See Also:
  - Constant Field Values

### ENTITY_EVENT_ID_COL

public static final String ENTITY_EVENT_ID_COL

See Also:
  - Constant Field Values

## Constructor Details

### Constants

public Constants()